For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all events
      • GETRetrieve an event
      • GETList all webhook endpoints
      • GETRetrieve a webhook endpoint
      • Working with webhooks
    • API Errors
Get access
LogoLogo
API ReferenceEvents and Webhooks

Retrieve a webhook endpoint

GET
/webhooks/endpoints/:webhook_endpoint_id
GET
/webhooks/endpoints/:webhook_endpoint_id
$curl https://test.api.kota.io/webhooks/endpoints/whe_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "whe_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "endpoint_url": "https://webhooks.example.com/receive",
4 "subscribed_events": [
5 "order.created",
6 "order.updated",
7 "customer.deleted"
8 ],
9 "created_at": "2024-12-01T00:00:00Z",
10 "object": "webhook_endpoint"
11}
Get a registered webhook endpoint by its Id.
Previous

List all webhook endpoints

Next

Working with Events

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

webhook_endpoint_idstringRequiredformat: "whe_.+"

Response

OK
idstringformat: "whe_.+"
The unique identifier of the endpoint
endpoint_urlstring
The registered URL of the endpoint
subscribed_eventslist of strings
The events the endpoint is subscribed to
created_atdatetime
The date and time the endpoint was created
objectstringRead-only
The object type

Errors

404
Not Found Error